#include <iostream>
#include <cstring>

using namespace std;
int proveri(string x);
int main() 
{
	string x;
	cin>>x;
	int min=x.length(),br=0;
	if(proveri(x))
	{
		cout<<0;
		return 0;
	}
	else
	{
		string y="0";
		for(int i=1;i<x.length();i++)
		{
			y+='0';
		}
		while(y[0]!='9'+1)
		{
			if(proveri(y))
			{
				br=0;
				for(int i=0;i<x.length();i++)
				{
					if(x[i]!=y[i])
					{
						br++;
					}
				}
				if(br<min)
				{
					min=br;
					if(min==1)
					{
						cout<<min;
						return 0;
					}
				}
			}
			int i=y.length()-1;
			while(y[i]=='9'&&i>0)
			{
				y[i]='0';
				i--;
			}
			y[i]++;
		}
	}
	cout<<min;
	return 0;
}

int proveri(string x)
{
	bool p=1;
	for(int i=0;i<x.length();i++)
	{
		p=1;
		for(int j=i+1;j<x.length();j++)
		{
			if(x[i]!=x[j])
			{
				p=0;
			}
			else
			{
				if(p==0)
				{
					return 0;
				}
			}
		}
	}
	return 1;
}